Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008290TestLinkTest Case Attachmentspublic2018-06-09 09:372018-10-06 13:17
Reportere.p. 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9.18 (2018 Q3) 
Summary0008290: Change Request : Attachment must be related to Test Case Version
DescriptionCurrent Behaviour
Test Case Attachments are linked/related to Test Case and not Test Case Version.

Requirement
REQ-01A - Link to Test Case Version
Attachments need to be related to the version of a test case (and not to the whole test case)

REQ-01B - Attachment Management when new Test Case Version is created
When creating a new version of a test case, the attachments from the previous version should be copied, this means we will have several instance/copies of a file on the file repository.


REQ-01C - Attachment Upgrade
If an upgrade to the attachments is needed in a version (a version that can be edited), the outdated attachments will be removed manually and replaced by the updated attachments.


REQ-01D - Block Attachment Management on Version N
After a test case version is executed, it must not be possible:
a) to delete an attachment from that version of the test case.
b) to add an attachment from that version of the test case.

OUT OF SCOPE
XML-RPC API
Will not be part of this implementation

REST API
Will not be part of this implementation
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0008291closedfman Change Request : Attachment must be related to Requirement Version 

-  Notes
(0027778)
fman (administrator)
2018-08-13 10:03

NEW CONFIG Option
// @since 1.9.18
// TRUE => After a test case version has been executed
// attachment on test case spec can not be added/removed
//
// FALSE
$tlCfg->testcase_cfg->downloadOnlyAfterExec = TRUE;

- Issue History
Date Modified Username Field Change
2018-06-09 09:37 fman New Issue
2018-06-09 09:37 fman Status new => assigned
2018-06-09 09:37 fman Assigned To => fman
2018-06-09 09:37 fman Issue generated from: 0008289
2018-06-09 09:37 fman Relationship added related to 0008289
2018-06-09 09:39 fman Summary Change Request : Create links between requirement ID+version and test case ID+version => Change Request : Attachment must be related to Test Case Version
2018-06-09 09:39 fman Description Updated View Revisions
2018-06-09 09:39 fman Steps to Reproduce Updated View Revisions
2018-06-09 09:40 fman Category Requirement to Test Case Assignment => 0 - User too Lazy to analize defined categories
2018-06-09 09:47 fman Category 0 - User too Lazy to analize defined categories => Test Case Attachments
2018-06-09 09:47 fman Description Updated View Revisions
2018-06-09 09:49 fman Issue cloned: 0008291
2018-06-09 09:49 fman Relationship added related to 0008291
2018-06-09 10:00 fman Description Updated View Revisions
2018-06-09 10:01 fman Reporter fman => e.p.
2018-06-19 17:58 fman Relationship added child of 0008303
2018-08-13 10:03 fman Note Added: 0027778
2018-10-06 13:17 fman View Status private => public
2018-10-06 13:17 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2018-10-06 13:17 fman Status assigned => closed
2018-10-06 13:17 fman Resolution open => fixed
2018-10-06 13:17 fman Fixed in Version => 1.9.18 (2018 Q3)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker